AST Time Now
AST is the abbreviation of Atlantic Standard Time. Time zone offset of AST is UTC-04. Atlantic Standard Time is 4 hours behind from the UTC universal time. AST current date is Saturday, November 14, 2026. Current time in AST (AST).
AST Time
05:44:24
14 November 2026 Saturday
AST is the abbreviation of Atlantic Standard Time, the time standard used for Atlantic region as standard winter time. In summer, another time standard, ADT, is used in the region. Atlantic Standard Time is 4 hours behind the UTC universal time, and it is effective for a great number of countries, including Canada, Puerto Rico, Trinidad and Tobago, Barbados, as well as numerous French, British, and Dutch overseas territories.
What time is it in Atlantic Standard Time now? It is 05:44:24 right now.
Atlantic Standard Time Date and Time Now in Various Formats
| Date Time Format | AST Date Time Now |
|---|---|
| UTC | 2026-11-14T09:44:24Z |
| ISO-8601 | 2026-11-14T05:44:24-0400 |
| RFC 2822 | Sat, 14 Nov 2026 05:44:24 -0400 |
| RFC 850 | Saturday, 14-Nov-26 05:44:24 AST |
| RFC 1036 | Sat, 14 Nov 26 05:44:24 -0400 |
| RFC 1123 | Sat, 14 Nov 2026 05:44:24 -0400 |
| RFC 822 | Sat, 14 Nov 26 05:44:24 -0400 |
| RFC 3339 | 2026-11-14T05:44:24-04:00 |
| ATOM | 2026-11-14T05:44:24-04:00 |
| COOKIE | Saturday, 14-Nov-2026 05:44:24 AST |
| RSS | Sat, 14 Nov 2026 05:44:24 -0400 |
| W3C | 2026-11-14T05:44:24-04:00 |
| Unix Epoch | 1794649464 |
| YYYY-MM-DD HH:MM:SS | 2026-11-14 05:44:24 |
| YYYY-MM-DD HH:MM:SS am/pm | 2026-11-14 05:44:24 AM |
| DD-MM-YYYY HH:MM:SS | 14-11-2026 05:44:24 |
| MM-DD-YYYY HH:MM:SS | 11-14-2026 05:44:24 |